跳到主要内容

基础信息

sourceMap列表​

POST /sourcemap/release/mp/sourcemaps

请求参数​

名称位置类型必选说明
mpIdquerystring否none
releaseNamequerystring否none
fileNamequerystring否none
filePathquerystring否none
langquerystring否none

返回示例

{
"code": 200,
"msg": "success",
"data": [
{
"appId": 10,
"releaseId": 719,
"releaseName": "MP-3.0.122",
"sourcemapId": 84462,
"fileName": "app-service.js.map",
"filePath": "C:\\Users\\wjn\\Desktop\\mp-sourceMap\\MP-3.0.122\\sourcemap_tmp\\__FULL__\\app-service.js.map",
"ctime": "2022-02-25 14:17:35"
}
]
}

返回结果​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgstringtruenonenone
» data[object]truenonenone
»» appIdintegerfalsenonenone
»» releaseIdintegerfalsenonenone
»» releaseNamestringfalsenonenone
»» sourcemapIdintegerfalsenonenone
»» fileNamestringfalsenonenone
»» filePathstringfalsenonenone
»» ctimestringfalsenonenone

创建应用​

POST /app/add

Body 请求参数

name: test-03

请求参数​

名称位置类型必选说明
bodybodyobject否none
» namebodystring否none

返回示例

{
"code": 200,
"msg": "success",
"data": {
"beacon": "https://wkmp1.tingyun.com",
"accountIdKey": "fui3qc_SnwM",
"sampling": 1,
"agentUrl": "https://wukong1.tingyun.com/mp-agent/tingyun-mp-agent.js",
"mpId": 1515,
"key": "YQiSKGypq1U"
},
"status": 200
}

返回结果​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgstringtruenonenone
» dataobjecttruenonenone
»» beaconstringtruenonenone
»» accountIdKeystringtruenonenone
»» samplingintegertruenonenone
»» agentUrlstringtruenonenone
»» mpIdintegertruenonenone
»» keystringtruenonenone
» statusintegertruenonenone

应用列表​

POST /app/select-list

请求参数​

返回示例

200 Response

{
"code": 0,
"msg": "string",
"data": [
{
"id": 0,
"name": "string",
"hasData": true
}
],
"status": 0
}

返回结果​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgstringtruenonenone
» data[object]truenonenone
»» idintegertruenonenone
»» namestringtruenonenone
»» hasDatabooleantruenonenone
» statusintegertruenonenone